# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-IO-CaptureOutput
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-CaptureOutput
Version:        1.1102
Release:        5.19
Summary:        Capture STDOUT and STDERR from Perl code, subprocesses or XS
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/IO-CaptureOutput-%{version}.tar.gz
Url:            http://search.cpan.org/dist/IO-CaptureOutput/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Test::More)
Requires:       perl(Carp)
Requires:       perl(Exporter)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp)
Requires:       perl(IO::File)
Requires:       perl(Symbol)

%description
This module provides routines for capturing STDOUT and STDERR from perl
subroutines, forked system calls (e.g. system(), fork()) and from XS or C
modules.

%prep
%setup -q -n "IO-CaptureOutput-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/IO
%{perl_vendorlib}/IO/CaptureOutput.pm
%{perl_vendorlib}/IO/CaptureOutput.pod
%dir %{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/CaptureOutput
%doc %{perl_man3dir}/IO::CaptureOutput.%{perl_man3ext}%{ext_man}

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 23 2010 pascal.bleser@opensuse.org
- initial package (1.1102)
